Issue 16641

Summary: Integrate Input Fields and Form Controls
Product: Writer Reporter: schulten
Component: codeAssignee: AOO issues mailing list <issues>
Status: CLOSED WONT_FIX QA Contact:
Severity: Trivial    
Priority: P3 CC: caolanm, edgar.hoch, elish, issues, mantas, n-roeser, pet.ebe
Version: OOo 1.1 RCKeywords: needmoreinfo
Target Milestone: ---   
Hardware: PC   
OS: Windows 2000   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description schulten 2003-07-10 11:09:02 UTC
Hi,

the new feature to import Word text fields as Input Fields is a good idea.
However, such a form is more or less unusable for a user who gets a Word form, 
wants to fill it out and send it back:
- the form opens in design mode
- Input Fields are not part of the tab order of the other controls (option and 
radio)

Proposal:
- include input fields into the tab order of form controls, at least by popping 
up the input dialog or by making input fields in-place editable
- improve the simplistic input dialog to support "fill in, hit OK" operation 
(make prompt a label instead of an edit field, select the existing text in the 
lower dialog edit field on opening, make OK the default button, use Ctrl+Enter 
to insert line breaks, add scrollbars to the edit field, make the dialog 
resizable)

IMHO this issue needs general discussion, please see my proposal "Prioritize 
form and table redesign for OOo 2.0" to dev@sw.openoffice.org. Forms are quite 
useless at this time.

Dietrich
Comment 1 h.ilter 2003-07-16 10:09:28 UTC
Reassigned to BH
Comment 2 schulten 2003-07-23 09:44:12 UTC
*** Issue 16599 has been marked as a duplicate of this issue. ***
Comment 3 mantas 2004-05-07 02:53:10 UTC
Any plans to set target to 2.0 ?
Comment 4 ace_dent 2008-05-16 02:13:14 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently 'Unconfirmed' pending review, but has not been
updated within the last 3 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 5 bettina.haberer 2010-05-21 15:01:52 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements". 
Comment 6 Edwin Sharp 2014-03-20 14:07:44 UTC
Please attach example.
Comment 7 Edwin Sharp 2014-04-02 06:19:54 UTC
No info from author.